Status: New Priority: Should have
Author: Karsten Dambekalns Category: Core
Created: 2012-12-03 Assigned To:
Updated: 2013-08-14 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Incomplete classes path detection for PSR-0
Description

For the guzzle/guzzle package (as an example that uncovered this), our autoloading fails.

First symptom is the error Cannot redeclare class Zend_Log in …/Libraries/guzzle/guzzle/tests/Guzzle/Tests/Log/Zend_Log.php on
line 30 which cannot be resolved using object.excludeClasses configuration. Indeed the PackageStates.php contains:

    'guzzle.guzzle' => 
    array (
      'manifestPath' => '',
      'state' => 'active',
      'packagePath' => 'Libraries/guzzle/guzzle/',
      'classesPath' => 'tests/',
    ),

Note the classesPath entry… this is probably caused by this part of Guzzle's composer manifest:
    "autoload": {
        "psr-0": {
            "Guzzle\\Tests": "tests/",
            "Guzzle": "src/" 
        }
    },

Related issues:
related to TYPO3.Flow - Feature # 42961: Support non PSR-0 packages Resolved 2012-10-12
related to TYPO3.Flow - Task # 52280: Throw Exception if there is an array in... Under Review 2013-09-26

History
#1 - 2012-12-12 09:22 - Karsten Dambekalns
- Target version set to 2.0

#2 - 2012-12-12 09:27 - Karsten Dambekalns

See https://review.typo3.org/16681 for a change (slightly) related to this.

#3 - 2012-12-13 12:35 - Karsten Dambekalns
- Affected Flow version changed from Git 1.2 (master) to Git master

#4 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1
